@media (max-width: 1420px) {

    // Arrows //
    .arrows__wrapper{
        .prev__arrow {
            left: inherit;
            right: 70px;
            top: -116px;
        }

        .next__arrow {
            right: 0;
            top: -116px;
        }
    }

    .main {
        .information__section {
            .information__wrapper {
                justify-content: space-between;

                .questions__block {
                    .questions__accordion {
                        .accordions {
                            margin-right: 50px;

                            .accordion {
                                max-width: 750px;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 1230px) {
    .container {
        padding: 0 20px;
    }

    .slider-container {
        padding: 0 0;
        max-width: 100%;
    }

    .header {
        .header__top {
            .menu-top__wrapper {
                .menu__nav {
                    background-color: $white;

                    .nav__item {
                        .nav__link {
                            font-size: 12px;  
                        }
                    }
                }
            }   
        }

        .header__bottom {
            .content__wrapper {
                align-items: center;

                .logo__wrapper {
                    img {
                        width: 280px;
                    }
                }
            }
        }
    }

    .main {
        .nav-menu__section {
            .navigation__wrapper {
                display: none;
            }

            .navigation-slider__wrapper {
                display: block;
            }

        }
        .description__section {
            .description__price {
                .price-slider__wrapper {
                    .price__slider {
                        .price__slide {
                            margin-left: 20px;
                        }
                    }
                }
            }
        }

        .reviews__section {
            .reviews__slider {
                .reviews-slick-slide {
                    .reviews-slide__wrapper {
                        .reviews__slide {
                            margin-left: 20px;
                        }
                    }
                }
            }
        }
    }

    .footer {
        .footer__top {
            display: block;
            width: 100%;
            overflow-x: scroll;

            &::-webkit-scrollbar {
                height: 5px;
                background-color: $backgroundgray;
            }

            &::-webkit-scrollbar-thumb {
                background-color: $orange;
            }
              
            .menu__nav {
                width: 1140px;

                .nav__item {
                    padding-right: 30px;

                    .nav__link {
                        &::after {
                            display: none;
                        }
                    }
                }
            }
        }
    }
    
}

@media (max-width: 992px) {

    // Arrow Price Slider Show Mobile //
    .arrows__wrapper {
        .prev__price {
            display: block !important;
        }

        .next__price {
            display: block !important;
        }
    }
  
    .header {
        position: relative;

        .header__top {
            .menu-top__wrapper {
                .mobile-menu__wrapper {
                    display: flex;
                    align-items: center;
                }
                
                .mobile-menu__button {
                    display: block;
                    position: relative;
                    left: -20px;
                    z-index: 3;
                }

                .mobile-menu__logo {
                    display: block;
                    width: 200px;
                    height: 100%;
                }

                .mobile-menu__nav {
                    position: absolute;
                    padding: 30px;
                    width: 150px;
                    display: flex;
                    flex-direction: column;
                    left: -100%;
                    top: 80px;
                    z-index: 3;
                    transition: 0.4s ease;

                    .nav__item {
                        padding-right: 0;
                       
                        &:not(:last-child) {
                            padding-bottom: 30px;
                        }

                        .nav__link {
                            &::after {
                                display: none;
                            }
                        }
                    }

                    .nav-mobile__item {
                        display: none;
                    }
                }

                .mobile-menu__nav--active {
                    left: 0;
                }
            }
        }

        .header__bottom {
            .content__wrapper {
                .logo__wrapper {
                    display: none;
                }
            }
        }
    }

    .main {
        .main__section {
            margin-bottom: 60px;

            .main__wrapper {
                padding-top: 27px;
                padding-bottom: 44px;

                .breadcrumbs {
                    margin-bottom: 0;
                }

                .main__inner {
                    .main__block {
                        .main__title {
                            font-size: 44px;
                        }

                        .main__price {
                            font-size: 28px;
                            width: 200px;
                            height: 70px; 
                        }
                    }
                }
            }
        }

        .description__section {
            .description__information {
                margin-bottom: 70px;
            }

            .description__tabs {
                margin-bottom: 60px;
            }

            .description__delivery {
                margin-bottom: 60px;

                .decor__line {
                    margin-bottom: 50px;   
                }

                .delivery__cities {
                    .city__column {
                        .city__link {
                            &:hover {
                                transform: none;
                            }
                        }
                    }
                }
            }

            .description__price {
                .table__price {
                    display: none;
                }

                .price-slider__wrapper {
                    display: block;
                    margin: 0 -20px;

                    .price__slider {
                        margin-bottom: 100px;
                    }
                }
            }
        }

        .sales__section {
            padding-top: 60px;
            padding-bottom: 100px;
            margin-bottom: 50px;

            .sales-slider__wrapper {
                .sales__slider {
                    margin: 0 -20px;
                }
            }
        }

        .advantage__section {
            margin-bottom: 30px;

            .decor__line {
                margin-bottom: 55px;
            }

            .advantage__wrapper {
                .advantage__item {
                    max-width: 250px;
                }
            }
        }

        .information__section {
            padding-top: 60px;
            padding-bottom: 50px;
            margin-bottom: 60px;

            .information__wrapper {
                flex-direction: column;

                .questions__block {
                    margin-bottom: 30px;

                    .questions__accordion {
                        .accordions {
                            margin-right: 0;

                            .accordion {
                                max-width: 100%;
                            }
                        }
                    }
                }

                .manager__block {
                    max-width: 100%;

                    .middle__title {
                        display: none;
                    }

                    .decor__line {
                        display: none;
                    }

                    .manager__wrapper {
                        padding: 30px 30px;
                        flex-direction: inherit;
                        justify-content: start;
                        align-items: center;

                        .manager-photo__wrapper {
                            order: 1;
                            width: 110px;
                            height: 110px;
                            margin-bottom: 0;
                            margin-right: 30px;
                        }

                        .manager__contacts {
                            order: 3;
                            margin-bottom: 0;
                        }

                        .manager__name {
                            order: 2;
                            text-align: start;
                            margin-right: 40px;
                        }  
                    }
                }
            }
        }

        .reviews__section {
            margin-bottom: 80px;

            .reviews__slider {
                margin: 0 -20px;
            }
        }

        .create__request {
            .create__request__wrapper {
                .track__request {
                    .track__image {
                        width: 50px;
                    }   

                    .block__title {
                        font-size: 14px;
                    }
                }

                .phone__request {
                    .link__request {
                        font-size: 20px;
                    }
                }
            }
        }
    }

    .footer {
        .footer__body {
            .footer-columns__wrapper {
                .footer__column {
                    column-count: 3;
                }
            }
        }
    }
}

@media (max-width: 880px) {
    .main {
        .main__section {
            .main__wrapper {
                .main__inner {
                    .main__block {
                        .main__title {
                            font-size: 40px;
                        }

                        .main__price {
                            font-size: 28px;
                            width: 200px;
                            height: 70px; 
                        }
                    }

                    .form__block {
                        max-width: 270px;

                        .form {
                            .basic__title {
                                font-size: 20px;
                            }

                            .form__list {
                                .form__item {
                                    .form-control {
                                        max-width: 210px;
                                    }

                                    .form__button {
                                        max-width: 212px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        .description__section {
            .description__delivery {
                .delivery__cities {
                    .city__column {
                        .city__link {
                            padding-left: 30px;
                        }
                    }
                }
            }
        }

        .advantage__section {
            .decor__line {
                margin-bottom: 50px;
            }

            .advantage__wrapper {
                .advantage__item {
                    max-width: 220px;
                }
            }
        }
    }
}

@media (max-width: 768px) {

    .middle__title {
        font-size: 36px;
    }

    .main {
        .main__section {
            margin-bottom: 60px;

            .main__wrapper {
                .breadcrumbs {
                    margin-bottom: 33px;
                }

                .main__inner {
                    .main__block {
                        .main__title {
                            font-size: 32px;
                        }

                        .main__price {
                            font-size: 24px;
                            width: 160px;
                            height: 66px; 
                        }
                    }
                }
            }
        }

        .description__section {
            .decor__line {
                margin-bottom: 50px;
            }

            .description__information {
                flex-direction: column;
                margin-bottom: 65px;

                .image__block {
                    max-width: 100%;
                    width: 100%;
                    height: 240px;
                    margin-right: 0;
                    margin-bottom: 40px;
                }

                .feature__block {
                    width: 100%;

                    .info__cell {
                        max-width: 100%;

                        .cell {
                            max-width: 100%;
                            justify-content: center;
                        }
                    }
                }
            }

            .description__tabs {
                .tabs__wrapper {
                    .buttons__wrapper {
                        overflow-x: scroll;
                        
                        &::-webkit-scrollbar {
                            height: 5px;
                            background-color: transparent;
                        }
            
                        &::-webkit-scrollbar-thumb {
                            background-color: $orange;
                        }

                        .tab__button {
                            border-bottom: 1px solid $bordergray
                        }
                    }
                }
            }

            .description__delivery {
                .delivery__cities {
                    &::before {
                        display: none;
                    }

                    &::after {
                        right: 50%;
                    }
                    .city__column {
                        column-count: 2;
                
                        .city__link {
                            padding-left: 30px;
                        }
                    }
                }
            }

            .description__price {
                .decor__line {
                    margin-bottom: 40px;
                }

                .price-slider__wrapper {
                    .price__slider {
                        margin-bottom: 70px;
                        .price__slide {
                            width: 210px;
                        }
                    }
                }
            }
        }

        .sales__section {
            padding-top: 50px;
            padding-bottom: 70px;

            .decor__line {
                margin-bottom: 50px;
            }
        }

        .advantage__section {
            margin-bottom: 20px;

            .advantage__wrapper {
                .advantage__item {
                    display: flex;
                    align-items: center;
                    max-width: 100%;

                    .advantage-image__wrapper {
                        margin-bottom: 0;
                        margin-right: 20px;
                    }

                    .advantage-content__wrapper {
                        text-align: left;
                    }
                }
            }
        }

        .information__section {
            padding-top: 50px;
            padding-bottom: 40px;
            margin-bottom: 50px;

            .information__wrapper {
                .manager__block {
                    .manager__wrapper {
                        flex-wrap: wrap;

                        .manager__contacts {
                            margin-top: 30px;
                        }
                    }
                }
            }
        }

        .reviews__section {
            margin-bottom: 70px;

            .decor__line {
                margin-bottom: 50px;
            }

            .reviews__slider {
                .reviews-slick-slide {
                    .reviews-slide__wrapper {
                        .reviews__slide {
                            padding: 15px;
                            width: 240px;
                            
                            .slide__top {
                                padding-bottom: 20px;

                                .review-user {
                                    .user-photo__wrapper {
                                        margin-right: 20px;

                                        &:before {
                                            left: 40%;
                                            top: 50px;
                                        }

                                        .user__photo {
                                            width: 54px;
                                        }
                                    }
                                }
                            }

                            .slide__bottom {
                                padding-top: 20px;
                            }
                        }
                    }
                }
            }
        }

        .create__request {
            .create__request__wrapper {
                flex-direction: column;
                align-items: center;

                .track__request {
                    margin-bottom: 20px;
                }

                .phone__request {
                    margin-bottom: 30px;
                }
            }
        }
    }

    .footer {
        .footer__body {
            .footer-columns__wrapper {
                .footer__column {
                    column-count: 2;
                }
            }
        }

        .footer__bottom {
            .footer-bottom__wrapper {
                flex-direction: column;
                text-align: center;
            }
        }
    }
}

@media (max-width: 576px) {

    // Arrows Hide //
    .arrows__wrapper {
        display: none;
    }

    .header {
        .header__top {
            .menu-top__wrapper {
                .mobile-menu__logo {
                    width: 50px;
                }

                .mobile-menu__nav {
                    .nav-mobile__item {
                        display: block;

                        .nav-mobile__link {
                            font-size: 15px;
                        }
                    }
                }
            }
        }
        .header__bottom {
            .content__wrapper {
                display: none;
            }
        }
    }

    .main {
        .nav-menu__section {
            padding-top: 30px;
        }

        .main__section {
            background-size: auto;
            background-position-y: -80%;
            margin-bottom: 50px;

            .main__wrapper {
                padding-top: 30px;
                padding-bottom: 0;

                .main__inner {
                    flex-direction: column;

                    .main__block {
                        display: flex;
                        flex-direction: column;
                        align-items: center;
                        margin-bottom: 55px;

                        .main__title {
                            font-size: 36px;
                            text-align: center;
                            margin-bottom: 25px;
                        }
                    }

                    .form__block {
                        max-width: 100%;
                        height: 100%;
                        box-shadow: 0px 30px 30px -12px rgba(0, 0, 0, 0.25);

                        .form {
                            .basic__title {
                                font-size: 20px;
                            }

                            .main__price {
                                width: 152px;
                                height: 62px; 
                            }

                            .form__list {
                                display: grid;
                                grid-template-columns: 1fr 1fr;
                                gap: 30px;

                                .form__item {
                                    .form-control {
                                        max-width: 210px;
                                        margin-bottom: 0;
                                    }

                                    .form__button {
                                        max-width: 212px;
                                    }

                                    .form__text {
                                        margin-bottom: 0;
                                    }
                                }
                            }
                        }

                        .sent__form {
                            padding: 90px 0;
                        }
                    }
                }
            }
        }

        .description__section {
            .decor__line {
                margin-bottom: 40px;
            }

            .description__information {
                margin-bottom: 50px;

                .image__block {
                    margin-bottom: 30px;
                }

                .feature__block {
                    .feature__list {
                        margin-bottom: 30px;
                    }

                    .info__cell {
                        flex-direction: column;
                        max-width: 100%;
                        border: none;
                        margin-bottom: 30px;

                        .cell {
                            justify-content: start;
                            padding: 14px 0px;
                            &:not(:last-child) {
                                border: none;
                            }

                            br {
                                display: none;
                            }
                        }
                    }
                }
            }

            .description__tabs {
                margin-bottom: 50px;

                .contents__wrapper {
                    .tab__content {
                        padding: 20px;

                        .basic__title {
                            font-size: 20px;
                        }

                        .block__title {
                            font-size: 18px;
                        }
                    }
                }
            }

            .description__delivery {
                margin-bottom: 50px;

                .decor__line {
                    margin-bottom: 25px;   
                }
            }

            .description__price {
                .price-slider__wrapper {
                    .price__slider {
                        margin-bottom: 60px;
                    }
                }
            }
        }

        .sales__section {
            padding-bottom: 60px;

            .decor__line {
                margin-bottom: 40px;
            }
        }

        .advantage__section {
            margin-bottom: 0px;

            .decor__line {
                margin-bottom: 40px;
            }

            .advantage__wrapper {
                .advantage__item {
                    .advantage-image__wrapper {
                        img {
                            width: 70px;
                        }
                    }
                }
            }

        }

        .information__section {
            .information__wrapper {
                .questions__block {
                    .questions__accordion {
                        .accordions {
                            .accordion {
                                .accordion__content {
                                    font-size: 15px;
                                }
                            }
                            .accordion__input {
                                &:checked {
                                    ~ .accordion__content {
                                        padding: 20px 30px;
                                    }
                                }
                            }
                        }
                    }
                }

                .manager__block {
                    .manager__wrapper {
                        .manager__name {
                            margin-right: 0;
                        }
                    }
                }
            }
        }

        .reviews__section {
            margin-bottom: 60px;

            .decor__line {
                margin-bottom: 40px;
            }
        }
    }

    .footer {
        .footer__bottom {
            .footer-bottom__wrapper {
                .footer__logo {
                    width: 180px;
                }

                .block__text {
                    font-size: 12px;
                }
            }
        }
    }
}

@media (max-width: 425px) {

    .container {
        padding: 0 15px;
    }

    .slider-container {
        padding: 0 0;
        max-width: 100%;
    }

    .middle__title {
        font-size: 30px;
    }

    .main {
        .main__section {
            background-position-y: 0%;

            .main__wrapper {
                .main__inner {
                    .main__block {
                        margin-bottom: 75px;

                        .main__title {
                            font-size: 30px;
                            margin-bottom: 25px;
                        }
                    }

                    .form__block {
                        .form {
                            .basic__title {
                                font-size: 20px;
                            }

                            .form__list {
                                grid-template-columns: 1fr;
                                gap: 20px;

                                .form__item {
                                    .form-control {
                                        max-width: 100%;
                                        margin-bottom: 0;
                                    }

                                    .form__button {
                                        max-width: 100%;
                                    }
                                }
                            }
                        }

                        .sent__form {
                            padding: 90px 0;
                        }
                    }
                }
            }
        }

        .description__section {
            .description__information {
                margin-bottom: 40px;

                .feature__block {
                    .inner__order {
                        .order__button {
                            width: 145px;
                        }
    
                        .order__price {
                            font-size: 24px;
                            width: 145px;
                        }
                    }
                }
            }

            .description__tabs {
                margin-bottom: 30px;

                .contents__wrapper {
                    .tab__content {
                        .decor__line {
                            margin-bottom: 15px;
                        }

                        .tab__text {
                            margin-bottom: 20px;
                        }

                        .block__title {
                            margin-bottom: 10px;
                        }
                    }
                }
            }

            .description__delivery {
                margin-bottom: 35px;

                .delivery__cities {
                    &::before {
                        display: none;
                    }

                    &::after {
                        display: none;
                    }

                    .city__column {
                        column-count: 1;
                        display: flex;
                        flex-direction: column;
                        padding-top: 15px;
                        padding-bottom: 15px;
                        max-height: 440px;
                        overflow-y: auto;

                        &::-webkit-scrollbar {
                            width: 5px;
                        }

                        &::-webkit-scrollbar-track {
                            background-color: $lightgray;
                        }

                        &::-webkit-scrollbar-thumb {
                            background-color: $orange;
                        }
                     
                        .city__link {
                            padding-left: 20px;
                            width: 200px;
                        }
                    }
                }
            }

            .description__price {
                .decor__line {
                    margin-bottom: 30px;
                }

                .price-slider__wrapper {
                    .price__slider {
                        margin-bottom: 40px;

                        .price__slide {
                            margin-left: 10px;
                        }
                    }
                }
            }
        }

        .sales__section {
            padding-top: 30px;
            padding-bottom: 40px;
            margin-bottom: 30px;

            .decor__line {
                margin-bottom: 30px;
            }
        }

        .advantage__section {
            .decor__line {
                margin-bottom: 30px;
            }
        }

        .information__section {
            padding-top: 30px;
            margin-bottom: 40px;

            .information__wrapper {
                .decor__line {
                    margin-bottom: 30px;
                }

                .manager__block {
                    .manager__wrapper {
                        flex-direction: column;
                        align-items: center;
                        padding: 20px 0px;

                        .manager__contacts {
                            margin-top: 20px;

                            .social__wrap {
                                .social__link {
                                    .social__image {
                                        width: 30px;
                                        height: 30px;
                                    }

                                    .social-image__hover {
                                        width: 30px;
                                        height: 30px;
                                    }
                                }
                            }
                        }

                        .manager__name {
                            margin-top: 30px;
                            text-align: center;
                        }

                        .manager-photo__wrapper {
                            margin-right: 0;
                        }
                    }
                }

                .questions__block {
                    margin-bottom: 20px;

                    .questions__accordion {
                        .accordions {
                            .accordion {
                                .accordion__content {
                                    font-size: 15px;
                                    padding: 0 20px;
        
                                }
                            }
                            
                            .accordion__input {
                                &:checked {
                                    ~ .accordion__content {
                                        padding: 15px 20px;
                                    }
                                }
                            }

                            .accordion__label {
                                padding: 9px 20px 7px;
                            }
                        }
                    }
                }
            }
        }

        .reviews__section {
            margin-bottom: 40px;

            .decor__line {
                margin-bottom: 30px;
            }
            .reviews__slider {
                .reviews-slick-slide {
                    .reviews-slide__wrapper {
                        .reviews__slide {
                            margin-left: 10px;
                        }
                    }
                }
            }
        }
    }

    .footer {
        .footer__body {
            height: 300px;
            overflow-y: scroll;

            &::-webkit-scrollbar {
                width: 5px;
                background-color: $backgroundgray;
            }

            &::-webkit-scrollbar-thumb {
                background-color: $orange;
            }

            .footer-columns__wrapper {
                .footer__column {
                    column-count: 1;
                }
            }
        }
    }
}

@media (max-width: 320px) {
    body {
        width: 320px;
    }
}
